package com.auto.clicker.autoclicker.data;

public class EventWrapper {
    public enum EventType { POINT, SLIDE }

    private EventType type;
    private Event event;
    private int order;

    public EventWrapper(EventType type, Event event, int order) {
        this.type = type;
        this.event = event;
        this.order = order;
    }

    public EventType getType() {
        return type;
    }

    public void setType(EventType type) {
        this.type = type;
    }

    public Event getEvent() {
        return event;
    }

    public void setEvent(Event event) {
        this.event = event;
    }

    public int getOrder() {
        return order;
    }

    public void setOrder(int order) {
        this.order = order;
    }
}
